﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win.UltraWinGrid;


/// <summary>
/// Event data for ultra grid cell change event error
/// </summary>
public class GridCellErrorEventArgs : EventArgs {
  private Exception _exception;
  private CellEventArgs _cellData;
  private bool _handled;

  public GridCellErrorEventArgs(Exception ex, CellEventArgs cellData) {
    this.Exception = ex;
    this.CellData = cellData;
  }

  public Exception Exception {
    get { return _exception; }
    private set { _exception = value; }
  }

  public CellEventArgs CellData {
    get { return _cellData; }
    private set { _cellData = value; }
  }

  public bool Handled {
    get { return _handled; }
    set { _handled = value; }
  }
}